ServerEvents.recipes(event => {
    event.custom({
  "type": "minecraft:crafting_shaped",
  "key": {
    "S": {
      "item": "minecraft:stick"
    },
    "M": {
      "item": "minecraft:magma_block"
    },
    "P": {
      "tag": "minecraft:planks"
    },
    "W": {
      "tag": "minecraft:wooden_slabs"
    }
  },
  "pattern": [
    "PSP",
    "WMW",
    "PWP"
  ],
  "result": {
    "item": "brewinandchewin:heating_cask"
  }
    })
    event.remove({output:'brewinandchewin:heating_cask'})
})